export LIBVIRT_DEFAULT_URI="qemu:///system"
export HISTSIZE=-1
export HISTFILESIZE=-1
export EDITOR="vim"

test -s ~/.alias && . ~/.alias || true
export PATH=~/bin:~/.local/bin:"$PATH"
type go >/dev/null 2>&1 && export GOPATH=$(go env GOPATH) && export PATH="$PATH":$GOPATH/bin

# needed for pw function and gnupg.vim
GPG_TTY=$(tty)
export GPG_TTY
export PWHOME="$HOME/Nextcloud/passwords"

#make sure we only run one ssh-agent
if ! pgrep -u "$USER" ssh-agent > /dev/null; then
    ssh-agent > "$XDG_RUNTIME_DIR/ssh-agent.env"
fi
if [[ ! "$SSH_AUTH_SOCK" ]]; then
    eval "$(<"$XDG_RUNTIME_DIR/ssh-agent.env")"
fi

[[ -x "$(command -v kubectl)" ]] && source <(kubectl completion bash)
[[ -x "$(command -v helm)" ]] && source <(helm completion bash)

# Go Bullet Train settings
[[ -f "$HOME/go/bin/gbt" ]] && [[ -f "$HOME/.gbt.sh" ]] && source "$HOME/.gbt.sh"


[[ -f "$HOME/.functions.sh" ]] && source ~/.functions.sh

[[ "$(type -t dotf)" == "alias" ]] && [[ "$(type -t __git_complete)" == "function" ]] && __git_complete dotf _git
[[ "$(type -t _todo)" == "function" ]] && complete -F _todo t
[[ "$(type -t sps)" == "file" ]] && source <(sps completion bash)

[[ -d "$HOME/.rbenv/bin" ]] &&  export PATH="$HOME/.rbenv/bin:$PATH" && eval "$(rbenv init -)"

#exit with no error
/bin/true
